package net.sourceforge.jpowergraph.manipulator.contextandtooltip;

import net.sourceforge.jpowergraph.Edge;
import net.sourceforge.jpowergraph.Legend;
import net.sourceforge.jpowergraph.Node;

import org.eclipse.swt.widgets.Menu;

/**
 * @author Mick Kerrigan
 *
 * Created on 02-Aug-2005
 * Committed by $Author: morcen $
 *
 * $Source: /cvsroot/jpowergraph/swt/src/net/sourceforge/jpowergraph/manipulator/contextandtooltip/ContextMenuListener.java,v $,
 * @version $Revision: 1.1 $ $Date: 2005/08/09 12:49:25 $
 */
public interface ContextMenuListener {

    public void fillNodeContextMenu(Node theNode, Menu theMenu);
    public void fillEdgeContextMenu(Edge theEdge, Menu theMenu);
    public void fillLegendContextMenu(Legend theLegend, Menu theMenu);
    public void fillBackgroundContextMenu(Menu theMenu);
}
